Class Fox::FXAccelTable

In: | FXAccelTable.rb
Parent: | FXObject

The accelerator table sends a message to a specific target object when the indicated key and modifier combination is pressed.

Methods

addAccel hasAccel? new removeAccel targetOfAccel

Public Class methods

new() {|acceleratorTable| ...}

Construct empty accelerator table.

Public Instance methods

addAccel(hotKey, target=nil, seldn=0, selup=0)

Add an accelerator to the table.

#### Parameters:

`hotKey`: | the hotkey associated with this accelerator [Integer]
`tgt`: | message target [FXObject]
`seldn`: | selector for the `SEL_KEYPRESS` event [Integer]
`selup`: | selector for the `SEL_KEYRELEASE` event [Integer]

hasAccel?(hotKey)

Return `true` if accelerator specified.

targetOfAccel(hotKey)

Return target object of the given accelerator

removeAccel(hotKey)

Remove mapping for specified hot key.